<?php

namespace App\Http\Requests\V1\Projects;

use App\Http\Requests\BaseFormRequest;

class UploadImageRequest extends BaseFormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'images'     => ['required', 'array', 'min:1'],
            'images.*'   => ['required', 'image', 'max:3072'],
        ];
    }
}
